忘记密码   免费注册 查看新帖 |

ChinaUnix.net

  平台 论坛 博客 文库 频道自动化运维 虚拟化 储存备份 C/C++ PHP MySQL 嵌入式 Linux系统
最近访问板块 发新帖
查看: 1668 | 回复: 0

solaris 安装memcached问题 [复制链接]

论坛徽章:
3
数据库技术版块每日发帖之星
日期:2015-08-05 06:20:00数据库技术版块每日发帖之星
日期:2015-08-23 06:20:00数据库技术版块每日发帖之星
日期:2016-04-19 06:20:00
发表于 2018-08-06 11:39 |显示全部楼层
系统版本是                 5.10 Generic_147440-19 sun4v sparc sun4v
memcached版本是     1.5.9


编译安装时报:
checking for libevent directory... configure: error: libevent is required. You can get it from http://www.monkey.org/~provos/libevent/

      If it's already installed, specify its path using --with-libevent=/dir/


于是我下载了了libevent再编译
configure没问题,make报错:
# make
  GEN      test/rpcgen-attempted
./test/rpcgen_wrapper.sh: python2: not found
event_rpcgen.py failed, ./test/regress.gen.\[ch\] will be reused.
。。。
。。。
。。。
Undefined                       first referenced
symbol                             in file
ERR_remove_thread_state             sample/https-client.o  (symbol belongs to implicit dependency /usr/local/openssl-1.0.2o/lib/libcrypto.so.1.0.0)
ld: fatal: symbol referencing errors. No output written to sample/.libs/https-client
collect2: ld returned 1 exit status
*** Error code 1
The following command caused the error:
echo "  CCLD    " sample/https-client;/bin/bash ./libtool --silent --tag=CC    --mode=link gcc  -g -O2 -Wall -fno-strict-aliasing -D_REENTRANT -pthreads -W -Wfloat-equal -Wundef -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wwrite-strings -Wredundant-decls -Wchar-subscripts -Wcomment -Wformat -Wwrite-strings -Wmissing-declarations -Wredundant-decls -Wnested-externs -Wbad-function-cast -Wswitch -Wno-unused-parameter -Wstrict-aliasing   -I /usr/local/openssl-1.0.2o/lib/ -o sample/https-client sample/https-client.o  sample/hostcheck.o  sample/openssl_hostname_validation.o libevent.la libevent_openssl.la -R/usr/sfw/lib -L/usr/sfw/lib -lssl -lcrypto -lsocket -lnsl -ldl  -lcrypto -lsendfile -lrt -lsocket -lnsl
make: Fatal error: Command failed for target `sample/https-client'
Current working directory /tmp/libevent-2.1.8-stable
*** Error code 1
make: Fatal error: Command failed for target `all'

openssl做过升级,新版本是在/usr/local/openssl-1.0.2o/

大神们帮看看呀,弄了好久libevent就是安装不上。



您需要登录后才可以回帖 登录 | 注册

本版积分规则

  

北京盛拓优讯信息技术有限公司. 版权所有 京ICP备16024965号 北京市公安局海淀分局网监中心备案编号:11010802020122
广播电视节目制作经营许可证(京) 字第1234号 中国互联网协会会员  联系我们:wangnan@it168.com
感谢所有关心和支持过ChinaUnix的朋友们 转载本站内容请注明原作者名及出处

清除 Cookies - ChinaUnix - Archiver - WAP - TOP